wxSimpleHelpProvider Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
List of all members
wxSimpleHelpProvider Class Reference
Class List by Category » Help

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/cshelp.h>`

Inheritance diagram for wxSimpleHelpProvider:
[legend]

## Detailed Description

wxSimpleHelpProvider is an implementation of wxHelpProvider which supports only plain text help strings, and shows the string associated with the control (if any) in a tooltip.

##

Library: wxCore
Category: Help

See also
  wxHelpProvider, wxHelpControllerHelpProvider, wxContextHelp, wxWindow::SetHelpText()(, wxWindow::GetHelpTextAtPoint()

## Additional Inherited Members
Public Member Functions inherited from wxHelpProvider
virtual | ~wxHelpProvider ()
| Virtual destructor for any base class.
virtual void | AddHelp (wxWindow *window, const wxString &text)
| Associates the text with the given window.
virtual void | AddHelp (wxWindowID id, const wxString &text)
| Associates the text with the given ID.
virtual wxString | GetHelp (const wxWindow *window)=0
| This version associates the given text with all windows with this id.
virtual void | RemoveHelp (wxWindow *window)
| Removes the association between the window pointer and the help text.
virtual bool | ShowHelp (wxWindow *window)
| Shows help for the given window.
virtual bool | ShowHelpAtPoint (wxWindow *window, const wxPoint &point, wxHelpEvent::Origin origin)
| This function may be overridden to show help for the window when it should depend on the position inside the window, By default this method forwards to ShowHelp(), so it is enough to only implement the latter if the help doesn't depend on the position.
Static Public Member Functions inherited from wxHelpProvider
static wxHelpProvider * | Get ()
| Returns pointer to help provider instance.
static wxHelpProvider * | Set (wxHelpProvider *helpProvider)
| Set the current, application-wide help provider.